package com.yeechart.dotMatrix.oss;


import lombok.Data;

import java.util.function.Consumer;


@Data
/**
 * OSS重试任务
 */
public class OSSRetryTask {

    private byte[] data;
    private String fileName;//包含文件连接以及文件名称
    private Consumer<String> onSuccessCallback;
    private Consumer<Throwable> onFailureCallback;

    OSSRetryTask(byte[] data, String fileName, Consumer<String> onSuccessCallback, Consumer<Throwable> onFailureCallback) {
        this.data = data;
        this.fileName = fileName;
        this.onSuccessCallback = onSuccessCallback;
        this.onFailureCallback = onFailureCallback;
    }
}
