package com.yeechart.dotMatrix.signage.bean.mizilzo;


import lombok.Data;

@Data
/**
 * MiniLZO 压缩后的属性
 */
public class MiniLZOVo {

    /**
     * 原本的数据大小(非压缩前)
     */
    private Integer ogSize;

    /**
     * 压缩后的十六进制数组数据
     */
    private byte[] data;

    /**
     * 压缩后的十六进制数组数据的CRC32校验
     */
    private Long crc32;

}
