package com.yeechart.dotMatrix.signage.bean.mizilzo;


import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * 字节数据 对象
 */

@Data
/**
 * 文件点阵图相关数据对象
 */
public class BitmapDataVo {


    /**
     * 功能编码
     */
    private String typeCode;


    /**
     * 二进制点阵数组数据(整图)
     */
    private byte[] twoData;


    /**
     * 点阵数据访问路径
     */
    private String path;


    /**
     * 点阵数据形成的时间
     */
    private Long time;


    /**
     * 点阵数据文件夹中各个文件的属性<文件名,子文件数据>(整图切割的分图)
     */
    private Map<String, MiniLZOVo> miniLZOVoList = new HashMap<>();
}
